Intel® FPGA Software Installation and Licensing

ID 683472
Date 3/28/2022
Public

A newer version of this document is available. Customers should click here to go to the newest version.

Document Table of Contents

2.3. Software Requirements

Installing Intel® FPGA software requires the following minimum third-party software:
  • One of the following browsers with an Internet connection for Intel® Quartus® Prime software Internet resources:
    • Mozilla Firefox version 3.6 or later
    • Microsoft Internet Explorer version 11.0
      Deprecation Notice: Microsoft Internet Explorer 11 is going end of life on June 15, 2022, which means that for most Windows versions, Internet Explorer 11 will not be supported anymore. As an alternative, use other listed browsers.
    • Microsoft Edge
    • Google Chrome
  • Other requirements depend on your OS:
Table 1.  Prerequisites for all Intel® FPGA Software
OS Prerequisite
Any Linux OS distribution KDE or GNOME window manager (version included with your Linux distribution)
Native XServer software
Red Hat Enterprise Linux 7 and 8 Install the following RPM packages:
  • X Windows libraries: make, libX11.i686, libXau.i686, libXdmcp.i686, libXext.i686, libXft-devel.i686, libXft.i686, libXrender.i686, libXt.i686, and libXtst.i686
  • For RHEL 8: libsnl and ncurses-compat-libs
  • GIMP toolkit: GTK+2
SUSE 12 Enterprise operating system Install the 64-bit libpng12.so.0 library.

Obtain equivalent or substitute packages listed for Red Hat Enterprise Linux or above.

Ubuntu Enterprise Linux Install libc6:i386, libncurses6:i386, libxtst6:i386, libxft2:i386, libstdc++6:i386, libc6-dev-i386, lib32z1, lib32ncurses5, libbz2-1.0:i386, and libpng12 libraries (see note below).
Note:
  • For Ubuntu 18.04, additionally install libqt5xml5 and liblzma-dev libraries.
  • For Ubuntu 18, libpng12 library is no longer available. Install it using the following commands:
    sudo add-apt-repository ppa:linuxuprising/libpng12
    sudo apt update
    sudo apt install libpng12-0
Windows 
  • Install the Microsoft Visual C++ 2015 Redistributable Package (x64).
    Note: You must have administrator privileges to install the Intel® Quartus® Prime software. The installation of Intel® Quartus® Prime software installs the Microsoft Visual C++ package automatically.
  • Install any of the unzipping tools, such as WinZip*, 7-Zip*, or WinRAR*, to extract the tar files if you download combined-files packages.

Did you find the information on this page useful?

Characters remaining:

Feedback Message